> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an end-user

> Permanently deletes an end-user object and all of its connections.



## OpenAPI

````yaml DELETE /end-users/{id}
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /end-users/{id}:
    delete:
      summary: Delete an end-user
      description: Permanently deletes an end-user object and all of its connections.
      parameters:
        - in: path
          name: id
          description: The ID of the end-user to delete.
          schema:
            type: string
            description: The ID of the end-user to delete.
            example: end_usr_1234567abcdefg
          required: true
      responses:
        '200':
          description: >-
            Returns a confirmation of the deletion with the ID of the deleted
            end-user.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the deleted end-user.
                    example: end_usr_1234567abcdefg
                  objectType:
                    type: string
                    const: end_user
                    description: The type of object. This value is always `"end_user"`.
                    example: end_user
                  deleted:
                    type: boolean
                    description: Indicates whether the end-user was deleted.
                    example: true
                required:
                  - id
                  - objectType
                  - deleted
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const endUser = await
            conductor.endUsers.delete('end_usr_1234567abcdefg');


            console.log(endUser.id);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            end_user = conductor.end_users.delete(
                "end_usr_1234567abcdefg",
            )
            print(end_user.id)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).